﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage
    x:Class="MTCT.Views.Home.ViewOrderPage"
    xmlns="http://xamarin.com/schemas/2014/forms"
    xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
    xmlns:local="clr-namespace:MTCT.Extension"
    xmlns:mp="clr-namespace:Xamarin.Forms.Maps;assembly=Xamarin.Forms.Maps"
    xmlns:pan="clr-namespace:Xamarin.Forms.PancakeView;assembly=Xamarin.Forms.PancakeView"
    BackgroundColor="#F5F5F5"
    NavigationPage.HasNavigationBar="False">
    <ContentPage.Content>
        <Grid>
            <Grid.RowDefinitions>
                <RowDefinition Height="{OnIdiom Phone=60, Tablet=100}" />
                <RowDefinition Height="*" />
            </Grid.RowDefinitions>

            <Grid Grid.Row="0">
                <Image Source="iconHeaderBackground.png" Style="{StaticResource HeaderBackgroundImage}" />
                <Grid>
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition Width="40" />
                        <ColumnDefinition Width="*" />
                        <ColumnDefinition Width="40" />
                    </Grid.ColumnDefinitions>

                    <ImageButton
                        x:Name="btnBack"
                        Grid.Column="0"
                        Margin="15,0,0,0"
                        Clicked="BtnBack_Tapped"
                        Source="iconBackArrow.png"
                        Style="{StaticResource MenuImage}" />

                    <Label
                        x:Name="lblShiftCode"
                        Grid.Column="1"
                        FontAttributes="Bold"
                        Style="{StaticResource HeaderLabel}"
                        Text="Ver Detalle" />
                </Grid>
            </Grid>

            <ScrollView Grid.Row="1">
                <Grid
                    Grid.Row="1"
                    BackgroundColor="#F5F5F5"
                    RowSpacing="3">
                    <Grid.RowDefinitions>
                        <RowDefinition Height="Auto" />
                        <RowDefinition Height="Auto" />
                        <RowDefinition Height="Auto" />
                        <RowDefinition Height="Auto" />
                        <RowDefinition Height="Auto" />
                        <RowDefinition Height="Auto" />
                        <RowDefinition Height="Auto" />
                        <RowDefinition Height="Auto" />
                        <RowDefinition Height="Auto" />
                        <RowDefinition Height="Auto" />
                        <RowDefinition Height="Auto" />
                        <RowDefinition Height="Auto" />
                        <RowDefinition Height="Auto" />
                        <RowDefinition Height="Auto" />
                    </Grid.RowDefinitions>

                    <pan:PancakeView
                        Grid.Row="0"
                        Padding="10,0,0,0"
                        Style="{StaticResource PanCakeBackground}">
                        <pan:PancakeView.Margin>
                            <OnIdiom
                                x:TypeArguments="Thickness"
                                Phone="20,10,20,10"
                                Tablet="30,10,30,20" />
                        </pan:PancakeView.Margin>
                        <Grid>
                            <Grid.ColumnDefinitions>
                                <ColumnDefinition Width="35" />
                                <ColumnDefinition Width="*" />
                            </Grid.ColumnDefinitions>
                            <Image
                                Grid.Column="0"
                                Margin="10,0,0,0"
                                BackgroundColor="Transparent"
                                Source="iconRefNo.png"
                                VerticalOptions="CenterAndExpand">
                                <Image.HeightRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="25"
                                        Tablet="35" />
                                </Image.HeightRequest>
                                <Image.WidthRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="25"
                                        Tablet="35" />
                                </Image.WidthRequest>
                            </Image>
                            <Label
                                x:Name="lblRefno"
                                Grid.Row="0"
                                Grid.Column="1"
                                Margin="0,0,0,0"
                                Style="{StaticResource EntryFields}" />
                        </Grid>
                    </pan:PancakeView>

                    <Frame
                        x:Name="btnHauler"
                        Grid.Row="1"
                        Padding="10,0,0,0"
                        BackgroundColor="{StaticResource frmBorderColor}"
                        Style="{StaticResource frmBorder}">
                        <Frame.Margin>
                            <OnIdiom
                                x:TypeArguments="Thickness"
                                Phone="20,0,20,10"
                                Tablet="30,0,30,20" />
                        </Frame.Margin>
                        <Grid x:Name="txtHauler">
                            <Grid.ColumnDefinitions>
                                <ColumnDefinition Width="35" />
                                <ColumnDefinition Width="*" />
                                <ColumnDefinition Width="35" />
                            </Grid.ColumnDefinitions>
                            <Image
                                x:Name="imgHauler"
                                Grid.Column="0"
                                Margin="10,0,0,0"
                                BackgroundColor="Transparent"
                                Source="iconTransportCount.png"
                                VerticalOptions="CenterAndExpand">
                                <Image.HeightRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="25"
                                        Tablet="35" />
                                </Image.HeightRequest>
                                <Image.WidthRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="25"
                                        Tablet="35" />
                                </Image.WidthRequest>
                            </Image>
                            <Label
                                x:Name="lblHaulerCode"
                                Grid.Row="0"
                                Grid.Column="1"
                                Margin="0,0,0,0"
                                Style="{StaticResource EntryFields}"
                                Text="Cabezote" />
                        </Grid>
                    </Frame>

                    <Frame
                        x:Name="btnTrailer"
                        Grid.Row="2"
                        Padding="10,0,0,0"
                        BackgroundColor="{StaticResource frmBorderColor}"
                        Style="{StaticResource frmBorder}">
                        <Frame.Margin>
                            <OnIdiom
                                x:TypeArguments="Thickness"
                                Phone="20,0,20,0"
                                Tablet="30,0,30,0" />
                        </Frame.Margin>
                        <Grid>
                            <Grid.ColumnDefinitions>
                                <ColumnDefinition Width="40" />
                                <ColumnDefinition Width="*" />
                                <ColumnDefinition Width="35" />
                            </Grid.ColumnDefinitions>
                            <Image
                                Grid.Column="0"
                                Margin="5,0,0,0"
                                BackgroundColor="Transparent"
                                Source="iconEquipmentTrailer.png"
                                VerticalOptions="CenterAndExpand">
                                <Image.HeightRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="36"
                                        Tablet="30" />
                                </Image.HeightRequest>
                                <Image.WidthRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="36"
                                        Tablet="30" />
                                </Image.WidthRequest>
                            </Image>
                            <Label
                                x:Name="lblTrailerCode"
                                Grid.Column="1"
                                Margin="0,0,0,0"
                                FontFamily="RobotoRegular"
                                Text="Cola"
                                TextColor="{StaticResource FuelBlack}"
                                VerticalOptions="CenterAndExpand">
                                <Label.FontSize>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="16"
                                        Tablet="20" />
                                </Label.FontSize>
                            </Label>
                        </Grid>
                    </Frame>

                    <Frame
                        Grid.Row="3"
                        Padding="10,0,0,0"
                        BackgroundColor="{StaticResource frmBorderColor}"
                        Style="{StaticResource frmBorder}">
                        <Frame.Margin>
                            <OnIdiom
                                x:TypeArguments="Thickness"
                                Phone="20,10,20,10"
                                Tablet="30,10,30,20" />
                        </Frame.Margin>
                        <Grid x:Name="txtDate">
                            <Grid.ColumnDefinitions>
                                <ColumnDefinition Width="35" />
                                <ColumnDefinition Width="*" />
                            </Grid.ColumnDefinitions>
                            <Image
                                x:Name="imgDateTime"
                                Grid.Column="0"
                                Margin="10,0,0,0"
                                BackgroundColor="Transparent"
                                Source="iconCalendar.png"
                                VerticalOptions="CenterAndExpand">
                                <Image.HeightRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="25"
                                        Tablet="35" />
                                </Image.HeightRequest>
                                <Image.WidthRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="25"
                                        Tablet="35" />
                                </Image.WidthRequest>
                            </Image>
                            <Label
                                x:Name="txtDateTime"
                                Grid.Column="1"
                                Margin="0,0,0,0"
                                FontFamily="RobotoRegular"
                                TextColor="{StaticResource FuelBlack}"
                                VerticalOptions="CenterAndExpand">
                                <Label.FontSize>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="16"
                                        Tablet="20" />
                                </Label.FontSize>
                            </Label>
                        </Grid>
                    </Frame>

                    <Frame
                        x:Name="btnDriverCode"
                        Grid.Row="4"
                        Padding="10,0,0,0"
                        BackgroundColor="{StaticResource frmBorderColor}"
                        Style="{StaticResource frmBorder}">
                        <Frame.Margin>
                            <OnIdiom
                                x:TypeArguments="Thickness"
                                Phone="20,0,20,0"
                                Tablet="30,0,30,0" />
                        </Frame.Margin>
                        <Grid>
                            <Grid.ColumnDefinitions>
                                <ColumnDefinition Width="35" />
                                <ColumnDefinition Width="*" />
                                <ColumnDefinition Width="35" />
                            </Grid.ColumnDefinitions>
                            <Image
                                Grid.Column="0"
                                Margin="10,0,0,0"
                                BackgroundColor="Transparent"
                                Source="iconDriverCode.png"
                                VerticalOptions="CenterAndExpand">
                                <Image.HeightRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="25"
                                        Tablet="30" />
                                </Image.HeightRequest>
                                <Image.WidthRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="25"
                                        Tablet="30" />
                                </Image.WidthRequest>
                            </Image>
                            <Label
                                x:Name="lblDriverCode"
                                Grid.Column="1"
                                Margin="0,0,0,0"
                                FontFamily="RobotoRegular"
                                Text="Código del Chofer"
                                TextColor="{StaticResource FuelBlack}"
                                VerticalOptions="CenterAndExpand">
                                <Label.FontSize>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="16"
                                        Tablet="20" />
                                </Label.FontSize>
                            </Label>
                        </Grid>
                    </Frame>

                    <pan:PancakeView
                        Grid.Row="5"
                        Padding="10,0,0,0"
                        Style="{StaticResource PanCakeBackground}">
                        <pan:PancakeView.Margin>
                            <OnIdiom
                                x:TypeArguments="Thickness"
                                Phone="20,10,20,10"
                                Tablet="30,10,30,20" />
                        </pan:PancakeView.Margin>
                        <Grid x:Name="txtDriverName">
                            <Grid.ColumnDefinitions>
                                <ColumnDefinition Width="35" />
                                <ColumnDefinition Width="*" />
                            </Grid.ColumnDefinitions>
                            <Image
                                x:Name="imgDriverName"
                                Grid.Column="0"
                                Margin="10,0,0,0"
                                BackgroundColor="Transparent"
                                Source="iconDriverCode.png"
                                VerticalOptions="CenterAndExpand">
                                <Image.HeightRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="25"
                                        Tablet="35" />
                                </Image.HeightRequest>
                                <Image.WidthRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="25"
                                        Tablet="35" />
                                </Image.WidthRequest>
                            </Image>
                            <Label
                                x:Name="lblDriverName"
                                Grid.Row="0"
                                Grid.Column="1"
                                Margin="0,0,0,0"
                                Style="{StaticResource EntryFields}"
                                Text="Nombre del Chofer" />
                        </Grid>
                    </pan:PancakeView>

                    <Frame
                        x:Name="btnLocation"
                        Grid.Row="6"
                        Padding="10,0,0,0"
                        BackgroundColor="{StaticResource frmBorderColor}"
                        Style="{StaticResource frmBorder}">
                        <Frame.Margin>
                            <OnIdiom
                                x:TypeArguments="Thickness"
                                Phone="20,0,20,0"
                                Tablet="30,0,30,0" />
                        </Frame.Margin>
                        <Grid>
                            <Grid.ColumnDefinitions>
                                <ColumnDefinition Width="35" />
                                <ColumnDefinition Width="*" />
                                <ColumnDefinition Width="35" />
                            </Grid.ColumnDefinitions>
                            <Image
                                Grid.Column="0"
                                Margin="10,0,0,0"
                                BackgroundColor="Transparent"
                                Source="iconGreenLocation.png"
                                VerticalOptions="CenterAndExpand">
                                <Image.HeightRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="25"
                                        Tablet="30" />
                                </Image.HeightRequest>
                                <Image.WidthRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="25"
                                        Tablet="30" />
                                </Image.WidthRequest>
                            </Image>
                            <Label
                                x:Name="lblLocationCode"
                                Grid.Column="1"
                                Margin="0,0,0,0"
                                FontFamily="RobotoRegular"
                                Text="Localización"
                                TextColor="{StaticResource FuelBlack}"
                                VerticalOptions="CenterAndExpand">
                                <Label.FontSize>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="16"
                                        Tablet="20" />
                                </Label.FontSize>
                            </Label>
                        </Grid>
                    </Frame>

                    <pan:PancakeView
                        Grid.Row="7"
                        Margin="20,10,20,10"
                        Padding="0"
                        Style="{StaticResource PanCakeBackground}">
                        <pan:PancakeView.Margin>
                            <OnIdiom
                                x:TypeArguments="Thickness"
                                Phone="20,10,20,10"
                                Tablet="30,10,30,10" />
                        </pan:PancakeView.Margin>
                        <pan:PancakeView.HeightRequest>
                            <OnIdiom
                                x:TypeArguments="x:Double"
                                Phone="150"
                                Tablet="250" />
                        </pan:PancakeView.HeightRequest>
                        <mp:Map
                            x:Name="xfmap"
                            HasZoomEnabled="True"
                            IsShowingUser="True"
                            MapType="Street" />
                    </pan:PancakeView>

                    <pan:PancakeView
                        Grid.Row="8"
                        Padding="10,0,0,0"
                        Style="{StaticResource PanCakeBackground}">
                        <pan:PancakeView.Margin>
                            <OnIdiom
                                x:TypeArguments="Thickness"
                                Phone="20,10,20,0"
                                Tablet="30,10,30,0" />
                        </pan:PancakeView.Margin>
                        <Grid x:Name="grdOdometer">
                            <Grid.ColumnDefinitions>
                                <ColumnDefinition Width="35" />
                                <ColumnDefinition Width="*" />
                            </Grid.ColumnDefinitions>
                            <Image
                                x:Name="imgOdometer"
                                Grid.Column="0"
                                Margin="10,0,0,0"
                                BackgroundColor="Transparent"
                                Source="iconMeter.png"
                                VerticalOptions="CenterAndExpand">
                                <Image.HeightRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="25"
                                        Tablet="35" />
                                </Image.HeightRequest>
                                <Image.WidthRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="25"
                                        Tablet="35" />
                                </Image.WidthRequest>
                            </Image>
                            <Label
                                x:Name="txtOdometer"
                                Grid.Column="1"
                                Margin="0,0,0,0"
                                FontFamily="RobotoRegular"
                                TextColor="{StaticResource FuelBlack}"
                                VerticalOptions="CenterAndExpand">
                                <Label.FontSize>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="16"
                                        Tablet="20" />
                                </Label.FontSize>
                            </Label>
                        </Grid>
                    </pan:PancakeView>

                    <Label
                        Grid.Row="9"
                        Margin="30,10,0,-10"
                        FontAttributes="Bold"
                        FontFamily="RobotoBold"
                        Style="{StaticResource SmallLabel}"
                        Text="Foto"
                        TextColor="{StaticResource FuelBlack}" />

                    <Grid
                        Grid.Row="10"
                        Margin="0,-10,0,0"
                        Padding="5"
                        ColumnSpacing="15">
                        <Grid.Margin>
                            <OnIdiom
                                x:TypeArguments="Thickness"
                                Phone="20,5,20,10"
                                Tablet="30,5,30,10" />
                        </Grid.Margin>
                        <pan:PancakeView
                            x:Name="img1"
                            Margin="0"
                            Padding="0"
                            BackgroundColor="#DCDDDE"
                            BorderColor="Transparent"
                            CornerRadius="10"
                            HasShadow="False">
                            <pan:PancakeView.HeightRequest>
                                <OnIdiom
                                    x:TypeArguments="x:Double"
                                    Phone="140"
                                    Tablet="150" />
                            </pan:PancakeView.HeightRequest>
                            <Image
                                x:Name="imgPicture1"
                                Aspect="AspectFit"
                                HorizontalOptions="CenterAndExpand"
                                Source="iconGrayNoImage.png"
                                VerticalOptions="CenterAndExpand" />
                        </pan:PancakeView>
                    </Grid>

                    <Frame
                        Grid.Row="11"
                        Padding="0"
                        BackgroundColor="{StaticResource frmBorderColor}"
                        CornerRadius="12"
                        Style="{StaticResource FrmBackground}">
                        <Frame.Margin>
                            <OnIdiom
                                x:TypeArguments="Thickness"
                                Phone="20,10,20,0"
                                Tablet="30,10,30,0" />
                        </Frame.Margin>
                        <Label
                            x:Name="txtNotes"
                            Margin="10,0,0,0"
                            FontFamily="RobotoRegular"
                            Text="{local:Translate lblNotes}"
                            TextColor="{StaticResource FuelBlack}"
                            VerticalOptions="Center">
                            <Label.FontSize>
                                <OnIdiom
                                    x:TypeArguments="x:Double"
                                    Phone="16"
                                    Tablet="20" />
                            </Label.FontSize>
                        </Label>
                    </Frame>

                    <StackLayout Grid.Row="12" Margin="20,10">
                        <Label
                            FontAttributes="Bold"
                            FontFamily="RobotoBold"
                            Style="{StaticResource SmallLabel}"
                            Text="Firma"
                            TextColor="{StaticResource FuelBlack}" />

                        <pan:PancakeView
                            Margin="0"
                            Padding="0"
                            BackgroundColor="#DCDDDE"
                            BorderColor="Transparent"
                            CornerRadius="10"
                            HasShadow="False">
                            <pan:PancakeView.HeightRequest>
                                <OnIdiom
                                    x:TypeArguments="x:Double"
                                    Phone="140"
                                    Tablet="150" />
                            </pan:PancakeView.HeightRequest>
                            <Image
                                x:Name="imgPicture2"
                                Aspect="AspectFit"
                                HorizontalOptions="CenterAndExpand"
                                Source="iconGrayNoImage.png"
                                VerticalOptions="CenterAndExpand" />
                        </pan:PancakeView>
                    </StackLayout>
                </Grid>
            </ScrollView>
        </Grid>
    </ContentPage.Content>
</ContentPage>